* {
  margin: 0;
  padding: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

.absolute {
  position: absolute;
}

.message {
  position: absolute;
  top: 0;
  left: 0;
  transition: 0.75s;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.7);
  display: grid;
  place-items: center;
  font-size: 5rem;
  color: white;
}

.exit {
  position: absolute;
  top: 3rem;
  right: 5rem;
  transition: 0.75s;
  font-size: 3rem;
  color: white;
  cursor: pointer;
}

.wrapper {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: #212121;
}

.refresh-button {
  border: none;
  outline: none;
  background: #fa725a;
  color: white;
  font-size: 1.5rem;
  padding: 10px 25px;
  border-radius: 5px;
  cursor: pointer;
}

.board {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1rem;
  width: 35%;
  margin: 0 auto;
}

.cell {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding-bottom: 80%;
  border: 10px solid #fa725a;
  font-size: 50px;
  cursor: pointer;
  box-sizing: border-box;
  border-radius: 5px;
}

.active-cell {
  display: flex;
  background-color: #fa725a;
  height: 10vh;
  line-height: 20vh;
  text-align: center;
  justify-content: center;
  width: 100%;
  padding-bottom: 80%;
  border: 10px solid #fa725a;
  font-size: 50px;
  cursor: pointer;
  box-sizing: border-box;
  border-radius: 5px;
  color: white;
}

.cell:hover {
  transition: 0.75s;
  background-color: #fa725a;
  color: white;
}

@media only screen and (max-width: 900px) {
  .board {
    width: 80%;
  }
  .active-cell {
    line-height: 15vh;
  }
}

@media only screen and (max-width: 600px) {
  .board {
    width: 80%;
  }
  .active-cell {
    line-height: 10vh;
  }
  .exit {
    right: 2rem;
  }
  .message {
    padding-left: 40px;
    font-size: 3rem;
  }
}
